#
# spec file for package shfmt
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

%define prj_name sh

Name:           shfmt
Version:        3.5.1
Release:        1.16
Summary:        A shell parser, formatter, and interpreter with bash support; includes shfmt
License:        BSD-3-Clause
URL:            https://github.com/mvdan/sh
Source0:        %{prj_name}-%{version}.tar.xz
Source1:        vendor.tar.xz
BuildRequires:  golang(API) >= 1.17

%description
A shell parser, formatter, and interpreter. Supports POSIX Shell, Bash, and mksh.

%prep
%setup -q -a1 -n %{prj_name}-%{version}

%build
go build \
   -mod=vendor \
   -tags extended \
   -buildmode=pie \
   ./cmd/shfmt

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/shfmt

%changelog
* Mon Jul 18 2022 Jeff Kowalczyk <jkowalczyk@suse.com>
- Revise packaging to align with Go application package patterns
  * Drop dependency on golang-packaging obsolete macros use GOPATH
  * Use obs-service-go_modules for dependency vendoring
  * Drop go build ldflags version info as go1.18+ embeds metadata
  * Drop separate package installing shfmt application source
* Tue Jun  7 2022 Erefd X <zzndb001@gmail.com>
- Update to version 3.5.0
  * Fix the Docker publishing script bug which broke 3.5.0 - #860
  check CHANGELOG.md for more detail
- Update spec
* Wed May 11 2022 Erefd X <zzndb001@gmail.com>
- Update to version 3.5.0
  * drops support for Go 1.16
  * Switch to -ln=auto by default to detect the shell language
  * Add support for long flags, like --indent for -i
* Sun Feb 20 2022 Erefd X <zzndb001@gmail.com>
- Update to version 3.4.3
  * New Docker v3 tag to track the latest stable version
  * Don't duplicate errors when walking directories
* Sat Dec 25 2021 Erefd X <zzndb001@gmail.com>
- Update to version 3.4.2
* Wed Nov 24 2021 Erefd X <zzndb001@gmail.com>
- Update to version 3.4.1
* Sun Oct  3 2021 Erefd X <zzndb001@gmail.com>
- Update to version 3.4.0
  – Walks directories ~10%% faster thanks to filepath.WalkDir
* Thu Aug  5 2021 Erefd X <zzndb001@gmail.com>
- Update to version 3.3.1
* Mon May 17 2021 Erefd X <zzndb001@gmail.com>
- Update to version 3.3.0
  * Document the FORCE_COLOR env var to always use colors in diffs
* Mon Apr  5 2021 Erefd X <zzndb001@gmail.com>
- initial packaging shfmt v3.2.4
